package com.example.blum.dogfromtextfile;

import android.content.Context;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.Spinner;
import android.widget.Toast;

import java.io.InputStream;

public class MainActivity extends AppCompatActivity {

    String[] breed_name;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Spinner spDog = (Spinner) findViewById(R.id.spDog);
        try {
            Context context = spDog.getContext();
            InputStream is = context.getResources().openRawResource(R.raw.dog_data);
            byte[] buffer = new byte[is.available()];
            while (is.read(buffer) != -1) ;
            String dog_text = new String(buffer);

            String[] dogline = dog_text.split("\n");
            String[] dog_tokens;

            breed_name = new String[dogline.length];
            int i;
            for(i=0; i< dogline.length; i++ ){
                //Toast.makeText(getApplicationContext(), dogline[i], Toast.LENGTH_LONG).show();
                dog_tokens = dogline[i].split("/");
                //Toast.makeText(getApplicationContext(), dog_tokens[0], Toast.LENGTH_LONG).show();
                breed_name[i] = dog_tokens[0];
                Toast.makeText(getApplicationContext(), breed_name[i], Toast.LENGTH_LONG).show();
            }

        } catch (Exception e) {
            Toast.makeText(getApplicationContext(), "Problem reading file ", Toast.LENGTH_LONG).show();
        }
    }
}
